"use strict";
(() => {
var exports = {};
exports.id = 2197;
exports.ids = [2197];
exports.modules = {

/***/ 461:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ NotFoundPage)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: ./layouts/GeneralLayout.jsx + 1 modules
var GeneralLayout = __webpack_require__(6217);
// EXTERNAL MODULE: ./components/general/PageHeadTags.jsx
var PageHeadTags = __webpack_require__(4097);
// EXTERNAL MODULE: ./functions/frontend/clientAuthUser.js
var clientAuthUser = __webpack_require__(9922);
;// CONCATENATED MODULE: external "@mui/icons-material/RailwayAlertTwoTone"
const RailwayAlertTwoTone_namespaceObject = require("@mui/icons-material/RailwayAlertTwoTone");
var RailwayAlertTwoTone_default = /*#__PURE__*/__webpack_require__.n(RailwayAlertTwoTone_namespaceObject);
;// CONCATENATED MODULE: ./pages/404.jsx
// @ts-check
/**
 * ==============================================================================
 * Imports
 * ==============================================================================
 */ 

////////////////////////////////////////
////////////////////////////////////////
////////////////////////////////////////




/** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /**
 * ==============================================================================
 * Main Component { Functional }
 * ==============================================================================
 * @param {Object} props - Server props
 */ function NotFoundPage(props) {
    /**
     * Get Contexts
     *
     * @abstract { React.useContext }
     */ if (true) {
        external_react_default().useEffect(()=>{
            window.location.href = "https://datasquirel.com";
        }, []);
        return null;
    }
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Javascript Variables
     *
     * @abstract Non hook variables and functions
     */ const pageTitle = "Cloudbased SQL data management system | Datasquirel";
    const pageDescription = "Datasquirel is a fast and efficient cloud-based SQL data management system that takes away the entire hassle of dealing with data both locally and across different platforms.";
    let head = /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [
            /*#__PURE__*/ jsx_runtime_.jsx("title", {
                children: pageTitle
            }),
            /*#__PURE__*/ jsx_runtime_.jsx("meta", {
                name: "description",
                content: pageDescription
            }),
            /*#__PURE__*/ jsx_runtime_.jsx(PageHeadTags/* default */.Z, {
                pageTitle: pageTitle,
                pageDescription: pageDescription,
                pagePathname: "/"
            })
        ]
    });
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * React Hooks
     *
     * @abstract { useState, useEffect, useRef, etc ... }
     */ const [user, setUser] = external_react_default().useState(null);
    external_react_default().useEffect(()=>{
        // @ts-ignore
        (0,clientAuthUser/* default */.Z)({
            setUser
        });
    }, []);
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Function Return
     *
     * @abstract Main Function Return
     */ return /*#__PURE__*/ jsx_runtime_.jsx(GeneralLayout/* default */.Z, {
        head: head,
        user: user,
        children: /*#__PURE__*/ jsx_runtime_.jsx("main", {
            children: /*#__PURE__*/ jsx_runtime_.jsx("section", {
                children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                    className: "paper items-center px-20 gap-2",
                    children: [
                        /*#__PURE__*/ jsx_runtime_.jsx("h2", {
                            className: "text-base m-0 text-slate-400",
                            children: "Ooops ..."
                        }),
                        /*#__PURE__*/ jsx_runtime_.jsx("h1", {
                            className: "text-2xl m-0",
                            children: "Page Not Found"
                        }),
                        /*#__PURE__*/ jsx_runtime_.jsx((RailwayAlertTwoTone_default()), {
                            color: "primary",
                            sx: {
                                fontSize: 200
                            },
                            className: "opacity-40"
                        }),
                        /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx("a", {
                                    href: "/",
                                    className: "button outlined",
                                    children: "Home"
                                }),
                                /*#__PURE__*/ jsx_runtime_.jsx("button", {
                                    onClick: (e)=>{
                                        window.history.back();
                                    },
                                    children: "Go Back"
                                })
                            ]
                        })
                    ]
                })
            })
        })
    });
////////////////////////////////////////
////////////////////////////////////////
////////////////////////////////////////
} /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */ 


/***/ }),

/***/ 386:
/***/ ((module) => {

module.exports = require("@mui/icons-material/CottageTwoTone");

/***/ }),

/***/ 5557:
/***/ ((module) => {

module.exports = require("@mui/icons-material/MenuBookTwoTone");

/***/ }),

/***/ 2423:
/***/ ((module) => {

module.exports = require("lucide-react");

/***/ }),

/***/ 968:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6689:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 997:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [4017,8313,5264,6729,5449,913,9360,6217,4097,9922], () => (__webpack_exec__(461)));
module.exports = __webpack_exports__;

})();