"use strict";
(() => {
var exports = {};
exports.id = 2521;
exports.ids = [2521];
exports.modules = {

/***/ 2939:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "HomepageContext": () => (/* binding */ HomepageContext),
  "default": () => (/* binding */ Homepage)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: ./layouts/GeneralLayout.jsx + 1 modules
var GeneralLayout = __webpack_require__(6217);
;// CONCATENATED MODULE: ./components/pages/about/Hero.jsx
// @ts-check
/**
 * ==============================================================================
 * Imports
 * ==============================================================================
 */ 

////////////////////////////////////////
/** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /**
 * ==============================================================================
 * Main Component { Functional }
 * ==============================================================================
 * @param {Object} props - Server props
 * @param {import("@/package-shared/types").UserType} [props.user]
 */ function Hero({ user  }) {
    /**
     * Get Contexts
     *
     * @abstract { React.useContext }
     */ ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Javascript Variables
     *
     * @abstract Non hook variables and functions
     */ ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * React Hooks
     *
     * @abstract { useState, useEffect, useRef, etc ... }
     */ ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Function Return
     *
     * @abstract Main Function Return
     */ return /*#__PURE__*/ (0,jsx_runtime_.jsxs)("section", {
        className: "pb-44 lg:pb-28 pt-44 -mt-24 bg-slate-100 dark:bg-slate-950",
        children: [
            /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                className: "main-container gap-10 justify-between flex-col lg:flex-row relative z-10",
                children: [
                    /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                        className: "flex-col items-center lg:items-start max-w-lg text-center lg:text-left",
                        style: {
                            minWidth: "45%"
                        },
                        children: [
                            /*#__PURE__*/ jsx_runtime_.jsx("h1", {
                                className: "m-0",
                                children: "Easy data administration."
                            }),
                            /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                className: "text-lg font-normal",
                                children: "Create, store, retrieve data with ease. The database hassle ends here. Now you have everything in one place."
                            })
                        ]
                    }),
                    /*#__PURE__*/ jsx_runtime_.jsx("div", {
                        className: "relative flex items-center justify-center w-full translate-y-10"
                    })
                ]
            }),
            /*#__PURE__*/ jsx_runtime_.jsx("img", {
                src: "/images/grid.webp",
                alt: "Dotted image background",
                className: "absolute top-0 left-0 w-full h-full object-cover opacity-80 dark:opacity-20 z-0"
            })
        ]
    });
////////////////////////////////////////
////////////////////////////////////////
////////////////////////////////////////
} /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */ 

// EXTERNAL MODULE: ./components/general/PageHeadTags.jsx
var PageHeadTags = __webpack_require__(4097);
// EXTERNAL MODULE: ./functions/frontend/clientAuthUser.js
var clientAuthUser = __webpack_require__(9922);
// EXTERNAL MODULE: ./components/pages/homepage/BriefIntroSection.jsx + 2 modules
var BriefIntroSection = __webpack_require__(7335);
// EXTERNAL MODULE: ./components/pages/homepage/FooterCta.jsx
var FooterCta = __webpack_require__(3987);
// EXTERNAL MODULE: ./components/pages/homepage/MainFeaturesSection.jsx
var MainFeaturesSection = __webpack_require__(662);
;// CONCATENATED MODULE: ./pages/about.jsx
// @ts-check
/**
 * ==============================================================================
 * Imports
 * ==============================================================================
 */ 

////////////////////////////////////////
////////////////////////////////////////
////////////////////////////////////////







/** ****************************************************************************** */ const HomepageContext = /*#__PURE__*/ external_react_default().createContext({});
/** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /** ****************************************************************************** */ /**
 * ==============================================================================
 * Main Component { Functional }
 * ==============================================================================
 * @param {Object} props - Server props
 */ function Homepage(props) {
    /**
     * Get Contexts
     *
     * @abstract { React.useContext }
     */ if (true) {
        external_react_default().useEffect(()=>{
            window.location.href = "https://datasquirel.com/about";
        }, []);
        return null;
    }
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Javascript Variables
     *
     * @abstract Non hook variables and functions
     */ const pageTitle = "About Us | Datasquirel";
    const pageDescription = "Cloudbased SQL data management system. Datasquirel is a fast and efficient cloud-based SQL data management system that takes away the entire hassle of dealing with data both locally and across different platforms.";
    let head = /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [
            /*#__PURE__*/ jsx_runtime_.jsx("title", {
                children: pageTitle
            }),
            /*#__PURE__*/ jsx_runtime_.jsx("meta", {
                name: "description",
                content: pageDescription
            }),
            /*#__PURE__*/ jsx_runtime_.jsx(PageHeadTags/* default */.Z, {
                pageTitle: pageTitle,
                pageDescription: pageDescription,
                pagePathname: "/"
            })
        ]
    });
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * React Hooks
     *
     * @abstract { useState, useEffect, useRef, etc ... }
     */ const [user, setUser] = external_react_default().useState(null);
    external_react_default().useEffect(()=>{
        (0,clientAuthUser/* default */.Z)({
            setUser
        });
    }, []);
    ////////////////////////////////////////
    ////////////////////////////////////////
    ////////////////////////////////////////
    /**
     * Function Return
     *
     * @abstract Main Function Return
     */ return /*#__PURE__*/ jsx_runtime_.jsx(GeneralLayout/* default */.Z, {
        head: head,
        transparentHeader: true,
        user: user,
        children: /*#__PURE__*/ jsx_runtime_.jsx(HomepageContext.Provider, {
            value: {
                user
            },
            children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("main", {
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx(Hero, {}),
                    /*#__PURE__*/ jsx_runtime_.jsx(BriefIntroSection/* default */.Z, {}),
                    /*#__PURE__*/ jsx_runtime_.jsx(FooterCta/* default */.Z, {
                        user: user
                    })
                ]
            })
        })
    });
////////////////////////////////////////
////////////////////////////////////////
////////////////////////////////////////
} /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /** ****************************************************************************** */  /**
 * ==============================================================================
 * Server Side Props or Static Props
 * ==============================================================================
 * @type {import("next").GetStaticProps}
 */  // export async function getStaticProps() {
 //     /**
 //      * User Auth
 //      *
 //      * @description User Auth
 //      */
 //     if (process.env.NEXT_PUBLIC_DSQL_LOCAL) {
 //         return {
 //             redirect: {
 //                 destination: "https://datasquirel.com/about",
 //                 permanent: false,
 //             },
 //         };
 //     }
 //     ////////////////////////////////////////
 //     ////////////////////////////////////////
 //     ////////////////////////////////////////
 //     /**
 //      * Server props return
 //      *
 //      * @description Return data fetched on the server side
 //      */
 //     return {
 //         props: {},
 //     };
 //     ////////////////////////////////////////
 //     ////////////////////////////////////////
 //     ////////////////////////////////////////
 // }


/***/ }),

/***/ 1891:
/***/ ((module) => {

module.exports = require("@mui/icons-material/ArticleTwoTone");

/***/ }),

/***/ 5891:
/***/ ((module) => {

module.exports = require("@mui/icons-material/CloudDoneTwoTone");

/***/ }),

/***/ 386:
/***/ ((module) => {

module.exports = require("@mui/icons-material/CottageTwoTone");

/***/ }),

/***/ 5557:
/***/ ((module) => {

module.exports = require("@mui/icons-material/MenuBookTwoTone");

/***/ }),

/***/ 5768:
/***/ ((module) => {

module.exports = require("@mui/icons-material/ThumbUpAltTwoTone");

/***/ }),

/***/ 2423:
/***/ ((module) => {

module.exports = require("lucide-react");

/***/ }),

/***/ 968:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6689:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 997:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [4017,8313,5264,6729,5449,913,9360,6217,4097,9922,8095], () => (__webpack_exec__(2939)));
module.exports = __webpack_exports__;

})();